View Issue Details

IDProjectCategoryView StatusLast Update
0022650LazarusIDEpublic2012-08-18 18:17
ReporterLudo BrandsAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0022650: Lazarus IDE configuration will detect correct debugger but does not set debugger type on Linux
DescriptionNew installation with empty primary configuration path. All dirs and paths are correctly detected including debugger. Setting a breakpoint says "There is no debugger specified". In the IDE options, debugger type is still set to none. Auto detecting the debugger, confirming all is OK in the initial IDE configuration screen but not enabling it is very confusing.
Tagsdebugger, gdb, lazarus, setup
Fixed in Revision38265
LazTarget-
Widgetset
Attached Files
  • debuggertype.diff (2,704 bytes)
    Index: ide/initialsetupdlgs.pas
    ===================================================================
    --- ide/initialsetupdlgs.pas	(revision 38249)
    +++ ide/initialsetupdlgs.pas	(working copy)
    @@ -419,9 +419,9 @@
         if EnvironmentOptions.LazarusDirectory<>Dir then
           dbgout(' => "',Dir,'"');
         dbgout(' is invalid (Error: ',Note,')');
    -    debugln(' Searching a proper one ...');
    +    debugln(' Searching for a proper one...');
       end else begin
    -    debugln(' Searching ...');
    +    debugln(' Searching...');
       end;
       List:=SearchLazarusDirectoryCandidates(true);
       try
    @@ -652,9 +652,9 @@
         if EnvironmentOptions.CompilerFilename<>Filename then
           dbgout(' => "',Filename,'"');
         dbgout(' is invalid (Error: ',Note,')');
    -    debugln(' Searching a proper one ...');
    +    debugln(' Searching for a proper one...');
       end else begin
    -    debugln(' Searching compiler ...');
    +    debugln(' Searching compiler...');
       end;
       List:=SearchCompilerCandidates(true,CodeToolBoss.FPCDefinesCache.TestFilename);
       try
    @@ -858,9 +858,9 @@
         if EnvironmentOptions.FPCSourceDirectory<>Dir then
           dbgout(' => "',Dir,'"');
         dbgout(' is invalid (Error: ',Note,')');
    -    debugln(' Searching a proper one ...');
    +    debugln(' Searching for a proper one...');
       end else begin
    -    debugln(' Searching ...');
    +    debugln(' Searching...');
       end;
       List:=SearchFPCSrcDirCandidates(true,FPCVer);
       try
    @@ -1017,9 +1017,9 @@
         if EnvironmentOptions.DebuggerFilename<>Filename then
           dbgout(' => "',Filename,'"');
         dbgout(' is invalid (Error: ',Note,')');
    -    debugln(' Searching a proper one ...');
    +    debugln(' Searching for a proper one...');
       end else begin
    -    debugln(' Searching "gdb" ...');
    +    debugln(' Searching "gdb"...');
       end;
       List:=SearchDebuggerCandidates(true);
       try
    @@ -1031,6 +1031,10 @@
           exit;
         end;
         EnvironmentOptions.DebuggerFilename:=BestDir.Filename;
    +    // Just gamble it's the regular gdb debugger if the config doesn't have this
    +    // information already...
    +    if EnvironmentOptions.DebuggerConfig.DebuggerClass='' then
    +      EnvironmentOptions.DebuggerConfig.DebuggerClass:='TGDBMIDebugger';
         debugln(['SetupDebugger: using ',EnvironmentOptions.DebuggerFilename]);
       finally
         List.Free;
    @@ -1179,9 +1183,9 @@
         if EnvironmentOptions.MakeFilename<>Filename then
           dbgout(' => "',Filename,'"');
         dbgout(' is invalid (Error: ',Note,')');
    -    debugln(' Searching a proper one ...');
    +    debugln(' Searching for a proper one...');
       end else begin
    -    debugln(' Searching "make" ...');
    +    debugln(' Searching "make"...');
       end;
       List:=SearchMakeExeCandidates(true);
       try
    
    debuggertype.diff (2,704 bytes)

Activities

Ludo Brands

2012-08-15 18:22

developer   ~0061640

svn 38152

Reinier Olislagers

2012-08-15 19:59

developer   ~0061642

Does the included patch help?

2012-08-15 19:59

 

debuggertype.diff (2,704 bytes)
Index: ide/initialsetupdlgs.pas
===================================================================
--- ide/initialsetupdlgs.pas	(revision 38249)
+++ ide/initialsetupdlgs.pas	(working copy)
@@ -419,9 +419,9 @@
     if EnvironmentOptions.LazarusDirectory<>Dir then
       dbgout(' => "',Dir,'"');
     dbgout(' is invalid (Error: ',Note,')');
-    debugln(' Searching a proper one ...');
+    debugln(' Searching for a proper one...');
   end else begin
-    debugln(' Searching ...');
+    debugln(' Searching...');
   end;
   List:=SearchLazarusDirectoryCandidates(true);
   try
@@ -652,9 +652,9 @@
     if EnvironmentOptions.CompilerFilename<>Filename then
       dbgout(' => "',Filename,'"');
     dbgout(' is invalid (Error: ',Note,')');
-    debugln(' Searching a proper one ...');
+    debugln(' Searching for a proper one...');
   end else begin
-    debugln(' Searching compiler ...');
+    debugln(' Searching compiler...');
   end;
   List:=SearchCompilerCandidates(true,CodeToolBoss.FPCDefinesCache.TestFilename);
   try
@@ -858,9 +858,9 @@
     if EnvironmentOptions.FPCSourceDirectory<>Dir then
       dbgout(' => "',Dir,'"');
     dbgout(' is invalid (Error: ',Note,')');
-    debugln(' Searching a proper one ...');
+    debugln(' Searching for a proper one...');
   end else begin
-    debugln(' Searching ...');
+    debugln(' Searching...');
   end;
   List:=SearchFPCSrcDirCandidates(true,FPCVer);
   try
@@ -1017,9 +1017,9 @@
     if EnvironmentOptions.DebuggerFilename<>Filename then
       dbgout(' => "',Filename,'"');
     dbgout(' is invalid (Error: ',Note,')');
-    debugln(' Searching a proper one ...');
+    debugln(' Searching for a proper one...');
   end else begin
-    debugln(' Searching "gdb" ...');
+    debugln(' Searching "gdb"...');
   end;
   List:=SearchDebuggerCandidates(true);
   try
@@ -1031,6 +1031,10 @@
       exit;
     end;
     EnvironmentOptions.DebuggerFilename:=BestDir.Filename;
+    // Just gamble it's the regular gdb debugger if the config doesn't have this
+    // information already...
+    if EnvironmentOptions.DebuggerConfig.DebuggerClass='' then
+      EnvironmentOptions.DebuggerConfig.DebuggerClass:='TGDBMIDebugger';
     debugln(['SetupDebugger: using ',EnvironmentOptions.DebuggerFilename]);
   finally
     List.Free;
@@ -1179,9 +1183,9 @@
     if EnvironmentOptions.MakeFilename<>Filename then
       dbgout(' => "',Filename,'"');
     dbgout(' is invalid (Error: ',Note,')');
-    debugln(' Searching a proper one ...');
+    debugln(' Searching for a proper one...');
   end else begin
-    debugln(' Searching "make" ...');
+    debugln(' Searching "make"...');
   end;
   List:=SearchMakeExeCandidates(true);
   try
debuggertype.diff (2,704 bytes)

Ludo Brands

2012-08-16 18:59

developer   ~0061665

No, it doesn't. No change. Thanks anyways.

Reinier Olislagers

2012-08-18 00:41

developer   ~0061690

Sorry; then it's probably time to call in the A-Team. Martin or Mattias where are you ;)

Martin Friebe

2012-08-18 03:13

manager   ~0061692

Please test and close if ok.

Ludo Brands

2012-08-18 18:17

developer   ~0061698

Thanks

Issue History

Date Modified Username Field Change
2012-08-15 18:21 Ludo Brands New Issue
2012-08-15 18:21 Ludo Brands Widgetset => GTK 2
2012-08-15 18:22 Ludo Brands Note Added: 0061640
2012-08-15 19:59 Reinier Olislagers Note Added: 0061642
2012-08-15 19:59 Reinier Olislagers File Added: debuggertype.diff
2012-08-15 20:00 Reinier Olislagers Tag Attached: debugger
2012-08-15 20:00 Reinier Olislagers Tag Attached: gdb
2012-08-15 20:00 Reinier Olislagers Tag Attached: lazarus
2012-08-15 20:00 Reinier Olislagers Tag Attached: setup
2012-08-16 18:59 Ludo Brands Note Added: 0061665
2012-08-18 00:41 Reinier Olislagers Note Added: 0061690
2012-08-18 02:49 Martin Friebe Status new => assigned
2012-08-18 02:49 Martin Friebe Assigned To => Martin Friebe
2012-08-18 03:13 Martin Friebe Fixed in Revision => 38265
2012-08-18 03:13 Martin Friebe LazTarget => -
2012-08-18 03:13 Martin Friebe Widgetset GTK 2 =>
2012-08-18 03:13 Martin Friebe Status assigned => resolved
2012-08-18 03:13 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-08-18 03:13 Martin Friebe Resolution open => fixed
2012-08-18 03:13 Martin Friebe Note Added: 0061692
2012-08-18 03:13 Martin Friebe Target Version => 1.2.0
2012-08-18 18:17 Ludo Brands Status resolved => closed
2012-08-18 18:17 Ludo Brands Note Added: 0061698